# --- Environment & Variables ---

# Flutter check
FLUTTER := $(shell which flutter)

# Firebase & GCP Configuration
GCP_DEV_PROJECT_ID     := krow-workforce-dev
GCP_STAGING_PROJECT_ID := krow-workforce-staging

# Environment Detection
ENV ?= dev

# Conditional Variables by Environment
ifeq ($(ENV),staging)
    GCP_PROJECT_ID := $(GCP_STAGING_PROJECT_ID)
    FIREBASE_ALIAS := staging
    HOSTING_TARGET := app-staging
	SQL_TIER := db-n1-standard-1
else
    GCP_PROJECT_ID := $(GCP_DEV_PROJECT_ID)
    FIREBASE_ALIAS := dev
    HOSTING_TARGET := app-dev
	SQL_TIER := db-g1-small
endif
